Bug 68172 - limbo: redhat-config-network crash by configuring isdn callback
limbo: redhat-config-network crash by configuring isdn callback
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-07 08:55 EDT by Chris
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 05:43:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris 2002-07-07 08:55:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
Traceback (most recent call last):
  File "/usr/bin/../share/redhat-config-network/netconfpkg/gui/deviceconfig.py",
line 93, in on_okButton_clicked
    self.dehydrate()
  File "/usr/bin/../share/redhat-config-network/netconfpkg/gui/dialupconfig.py",
line 336, in dehydrate
    if self.xml.get_widget('CallbackMode')['label'] == _('in'):
TypeError: unsubscriptable object


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. add e.g. AVM PCI (Fritz PCI v2)
2. Enter provider informations
3. configure ippp0 for callback and apply

Actual Results:  bugreport -> crash

Expected Results:  pc should toast ?

Additional info:
Comment 1 Harald Hoyer 2002-07-08 11:51:17 EDT
yep, thx, fixed in CVS (>=1.1.7)
Comment 2 Harald Hoyer 2003-01-13 10:19:21 EST
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/
Comment 3 Harald Hoyer 2004-06-04 05:43:07 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.